// 子应用属性相关
// -- 提至全局
export const subAppAttr = {
  computed: {
    currentAreaId() {
      return this.$store.state.currentAreaId;
    },
    currentAreaIds() {
      return this.$store.state.currentAreaId ? [ this.$store.state.currentAreaId ] : [];
    },
    // 当前子应用是否已被删除  目前仅根据getSubappList返回的list中item的deleteFlag决定
    currentAreaDelete() {
      return this.$store.state.delete_flag;
    }
  },
};